/******************************************************************************\
|*                                                                            *|
|*                        Neurotechnologija Images 2.0                        *|
|*                                                                            *|
|* NMonochromeImage.h                                                         *|
|* Header file for NMonochromeImage module                                    *|
|*                                                                            *|
|* Copyright (C) 2005-2006 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef N_MONOCHROME_IMAGE_H_INCLUDED
#define N_MONOCHROME_IMAGE_H_INCLUDED

#include "NImage.h"

#ifdef N_CPP
extern "C"
{
#endif

NResult N_API NMonochromeImageGetPixel(HNImage hImage, NUInt x, NUInt y, NBool * pValue);
NResult N_API NMonochromeImageSetPixel(HNImage hImage, NUInt x, NUInt y, NBool value);

#ifdef N_CPP
}
#endif

#endif // !N_MONOCHROME_IMAGE_H_INCLUDED
