/******************************************************************************\
|*                                                                            *|
|*                   Neurotechnologija Finger Matcher VF 5.0                  *|
|*                                                                            *|
|* VFMatchDetails.h                                                           *|
|* Header file for VfmMatchDetails module                                     *|
|*                                                                            *|
|* Copyright (C) 2005-2006 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef VFM_MATCH_DETAILS_H_INCLUDED
#define VFM_MATCH_DETAILS_H_INCLUDED

#include <NCore.h>

#ifdef N_CPP
extern "C"
{
#endif

typedef struct VfmMatchDetails_
{
	NInt Score;
	NInt CenterX;
	NInt CenterY;
	NByte Rotation;
	NInt TranslationX;
	NInt TranslationY;
	NInt MatedMinutiaCount;
	NIndexPair * MatedMinutiae;
} VfmMatchDetails;

void N_API VfmMatchDetailsFree(VfmMatchDetails * pMatchDetails);

#ifdef N_CPP
}
#endif

#endif // !VFM_MATCH_DETAILS_H_INCLUDED
