#pragma once

#include "VFingerX.h"
#include "VFImage.h"

class CVFFeatures
{
private:
	BYTE * data;
	DWORD dataLength;

public:
	CVFFeatures();
	CVFFeatures(const BYTE * data, DWORD dataLength);
	~CVFFeatures();

	BYTE G;
	vector<VFMinutia> Minutiae;
	vector<VFSingularPoint> SingularPoints;
	CVFImage BlockedOrientations;

	void Assign(const CVFFeatures * features);
	void Clear();
	void SetData(const BYTE * data, DWORD dataLength);
	DWORD GetData(BYTE * data);
};
