package ScanMan;

/**
 * Interface used to listen for fingerprint scanner monitoring events
 *
 * @version 2.0 03/03/2003
 * */

public interface ScannersMonitor
{
    // Events
    public static final int SM_EVENT_PLUGGED   = 1;
    public static final int SM_EVENT_UNPLUGGED = 2;
    public static final int SM_EVENT_ERROR     = 3;

    public void monitorEvent(String id, int event);
}