/********************************************************\
|*                                                      *|
|*  stdafx.h                                            *|
|*    include file for standard system include files,   *|
|*    or project specific include files that are used   *|
|*    frequently, but are changed infrequently          *|
|*                                                      *|
|*  Copyright (C) 2002-2006, Neurotechnologija 		*|
|*                                                      *|
\********************************************************/

#if !defined(AFX_STDAFX_H__73F8C5E0_DF63_428F_BBB2_9FFF5FA69E8B__INCLUDED_)
#define AFX_STDAFX_H__73F8C5E0_DF63_428F_BBB2_9FFF5FA69E8B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers

// protection type

#define HASP_OR_PC // protection by HASP key or PC
//#define HASP_OR_UAREU // protection by HASP key or U.are.U scanner

#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <comdef.h>

#pragma warning(disable: 4786)
#include <map>

//#define VFINGERJAVA_EXPORTS

// The following ifdef block is the standard way of creating macros which make exporting
// from a DLL simpler. All files within this DLL are compiled with the VFINGERJAVA_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see
// VFINGERJAVA_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.

#ifdef VFINGERJAVA_EXPORTS
#define VFINGERJAVA_API __declspec(dllexport)
#else
#define VFINGERJAVA_API __declspec(dllimport)
#endif

// Windows Header Files:
#include <Windows.h>
#include <WindowsX.h>
#include <RichEdit.h>
#include <CommCtrl.h>

// C RunTime Header Files
#include <StdLib.h>
#include <MAlloc.h>
#include <Memory.h>
#include <TChar.h>
#include <StdIO.h>
#include <StdArg.h>
#include <Time.h>
#include <math.h>

#define MAKEDWORD(high, low) ((DWORD)(((high) << 16) | (low)))

typedef unsigned __int64 QWORD;

// C++ RunTime Header Files
#include <typeinfo.h>

// Core headers

#include "VFinger.h"
#include "VeriFingerWrapper.h"
#include "support.h"
#include "VFingerX.h"

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__73F8C5E0_DF63_428F_BBB2_9FFF5FA69E8B__INCLUDED_)

