//#if defined(linux) || defined (__LINUX__)
//	#include "linux_include.h"
//#else
	#include "stdafx.h"
//#endif

/*
 * Class:     VeriFinger_VeriFingerWrapper
 * Method:    VFInitialize
 * Signature: ()I
 */

JNIEXPORT jint JNICALL Java_VeriFinger_VeriFingerWrapper_VFInitialize
  (JNIEnv * env, jclass)
{    
    int res = VFE_OK;

    try
    {
        res = VFInitialize();
        if VFFailed(res) 
            ThrowVeriFingerException(env, res);   
    }
    catch(...)
    {
        ThrowJavaException(env);
    }
    
    return res;
}

/*
 * Class:     VeriFinger_VeriFingerWrapper
 * Method:    VFFinalize
 * Signature: ()I
 */

JNIEXPORT jint JNICALL Java_VeriFinger_VeriFingerWrapper_VFFinalize
  (JNIEnv * env, jclass)
{
    int res = VFE_OK;

    try
    {
        res = VFFinalize();
        if VFFailed(res) 
            ThrowVeriFingerException(env, res);
    }
    catch(...)
    {
        ThrowJavaException(env);
    }
    
    return res;
}
